QCAT - Task #1159

User Story # 1756 (Accepted): User friendly management of translations
Loéschen von Sprachversionen:

11 Jan 2017 15:00 - Anonymous

Status: Accepted Start date: 11 Jan 2017
Priority: Normal Due date:

Assignee: Lukas Vonlanthen % Done: 0%
Category: Dev Task Estimated time: 28.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Leider kdnnen wir die falsch erstellten Sprachversionen nicht I6schen.

Es wére gut wenn lhr die falsch erstellten Sprachversionen folgender Falle so bald wie méglich I6schen kdnnt, damit wir diese
publizieren kénnen.

T_CBDO004en (FR-Version léschen)
T_CBDO009en (FR-Version léschen)
T_SPAO028es (EN Version ldschen)
T_SUDOQ02en (PT-Version lI6schen)
Es ware wichtig, dass die Users auch selber falsch erstellte Sprachversionen I6schen kénnen.

Da wir ja bald als Superuser drin sind, eilt es nicht mit dem oben genannten "Léschen".

Vielen Dank!

History

#1 - 19 Jan 2017 10:35 - Anonymous
Ich fge Euch hier noch den Code fiirs QCAT hinzu

T_CBDO004en (FR-Version léschen)- technologies_1224
T_CBDO009en (FR-Version ldschen)- technologies_1229
T_SPA028es (EN Version I6schen) - technologies_1273
T_SUDO002en (PT-Version l6schen)- technologies_1292

#2 - 19 Jan 2017 12:31 - Kurt Gerber
- Tracker changed from Feature to Bug
- Category set to Dev Task

- Target version set to QCAT Backlog

Kann in der Datenbank manuell geléscht werden. TEmporéare Lésung.
Danach muss man die Frage I6sen Zusammen mit dem ganzen Translation Sprachen Ding

#3 - 27 Jan 2017 13:01 - Kurt Gerber

- Status changed from New to Accepted

#4 - 02 Feb 2017 14:07 - Kurt Gerber
- Tracker changed from Bug to User Story
- Assignee changed from Kurt Gerber to Renate Fleiner

- Estimated time set to 24.00 h

Hier ist keine Quick&Dirty Losung moglich. D.h. Der Aufwand, Die Funktion zu ermdglichen eine Sprache zu l&schen ist etwa genauso aufwandig, wie
fur einzelne Falle direkt in der Datenbank Sprachen zu I6schen.
Vorschlag Dev-Team:
e Managementfunktion (nur fir eingeweihte/Wocat-Sekretariat) um Sprachversionen zu I6schen.
Dieses Ticket muss in die Priorisierung aufgenommen werden.
#5 - 11 Jul 2017 10:24 - Lukas Vonlanthen
- File QT Sprachversionen I6schen.docx added

(Mail von Deborah an Lukas vom 11.7.2017):

Im Anhang sende ich dir eine Liste mit Sprachversionen, die man rausléschen misste (w&hrend der Migration irrtimlich erstellt). Es sind
franzdsische, englische und eine portugiesische Version.

#6 - 20 Jul 2017 12:29 - Anonymous
Das Léschen der Sprachversionen sollte méglichst bald geschehen (in Hinsicht auf COP13 und der Uberpriifung des QCAT durch UNCCD)

#7 - 18 Aug 2017 12:14 - Kurt Gerber

- Assignee changed from Renate Fleiner to Lukas Vonlanthen
@Ilukas: Hast du da schon was gemacht?

#8 - 24 Aug 2017 11:03 - Kurt Gerber
- Priority changed from High to Normal

#9 - 05 Jan 2018 11:53 - Kurt Gerber

- Related to User Story #1756: User friendly management of translations added

#10 - 05 Jan 2018 14:43 - Kurt Gerber
- Related to Task #1150: Inform user if he adds a translation added

#11 - 06 Mar 2018 09:13 - Kurt Gerber

- Tracker changed from User Story to Task

#12 - 06 Mar 2018 09:15 - Kurt Gerber
- Related to deleted (Task #1150: Inform user if he adds a translation)

#13 - 06 Mar 2018 09:41 - Kurt Gerber

- Related to deleted (User Story #1756: User friendly management of translations)

#14 - 06 Mar 2018 09:41 - Kurt Gerber
- Parent task set to #1756

#15 - 21 Sep 2018 08:25 - Lukas Vonlanthen
- Estimated time changed from 24.00 h to 28.00 h

Requirements:
e Secretariat members can delete translations of a questionnaire.
Estimate Breakdown:
¢ Interface to delete translations: Show available translations, ability to delete a selected one. Only available to secretariat members (6h)
Remove linked languages from questionnaire (2h)
Clean data (text fields): careful when updating "public" Questionnaires (8h)

Re-index in elasticsearch if it is a public questionnaire. (2h)
Tests (10h)

Files

QT Sprachversionen léschen.docx 11.3 KB 11 Jul 2017 Lukas Vonlanthen
